Subject: RE: Node Requirements and 3041

From: [email-masked]
Date: Mon, 3 Feb 2003 15:28:35 +0200

Hi Samita,

> In the last sentence, did you mean to say that the node should have a 
> configuration knob whether to turn on privacy extension behavior ?
> 
> If so,  would it be clearer to say something like the following ?
> 
> 'It is recommended that the node be configurable to turn on/off
> the privacy extension for stateless address autoconfiguration, when
> it is implemented.' 

It should be something like that, but I think Alain was suggesting that
a node-based policy would not be sufficient.  It should be at least 
application based policy, since different applications will not
work with 3041 addresses.

br,
John
 
> Otherwise, as Alain mentioned, it's up to the application and 
> system-default
> configuration to use temporary or public address for a connection.
> We have discussed about possible socket API solution for 
> source address
> selection on per-socket basis. A draft is in plan for that.
> 
> -Samita
> 
> 

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Alain Durand <[email-masked]>
Date: Mon, 03 Feb 2003 08:59:57 -0800

> work with 3041 addresses.

And even 'application based' is not enough. Think about an application
like netscape. As a web browser, in its dialog to web servers, it may 
want
to benefit from 3041. As a Mail user agent, when talking to its SMTP 
server,
it may want not to use 3041 because the anti-spam rules might reject its
mail (no reverse path DNS records), when talking to a FTP server,it may
also be rejected for the same reason.

So a socket option seems to me the right way to toggle 3041 on and off.

	- Alain.

ps: btw, in case of application level failure as described above,
should the app that was using 3041 retry with a regular address?

---

From: Alain Durand <[email-masked]>
Date: Tue, 04 Feb 2003 08:30:56 -0800

By "toggle 3041 on and off" I mean decide if 3041 is appropriate or
not for that connection. Now, if the answer is yes, should a new address
be generated or should you use an existing one, this is, IMHO,
implementation dependent. I think it would make sense
to generate a new one per connection for security concerns,
but I understand that there may be some performance issue
in doing so.

	- Alain.

On Tuesday, February 4, 2003, at 02:55 AM, Brian E Carpenter wrote:

> Alain,
>
> By "toggle 3041 on and off", do you mean toggling address selection to 
> use
> an existing 3041 address, or generating a new 3041 address for each new
> connection that wants it?
>
>    Brian
>
> Alain Durand wrote:
>>

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 04 Feb 2003 11:55:53 +0100

Alain,

By "toggle 3041 on and off", do you mean toggling address selection to use
an existing 3041 address, or generating a new 3041 address for each new 
connection that wants it?

   Brian